Bug 190499 - pre-fill "Add Update" form by add.py URL options
pre-fill "Add Update" form by add.py URL options
Product: Fedora Infrastructure
Classification: Retired
Component: update system (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2006-05-02 18:17 EDT by Karel Zak
Modified: 2016-09-19 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-21 14:57:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
more sexy add.py (2.41 KB, text/x-patch)
2006-05-02 18:17 EDT, Karel Zak
no flags Details

  None (edit)
Description Karel Zak 2006-05-02 18:17:47 EDT
I'd like to call add.py from package Makefile (or arbitrary other script). The
Makefile in package CVS has basic information about the package (FC release,
NVR, ..) and something like:


will save my time that I need to spend with basic "Add Update" form fields.
(Yes, I'm lazy:-)
Comment 1 Karel Zak 2006-05-02 18:17:48 EDT
Created attachment 128522 [details]
more sexy add.py
Comment 2 Karel Zak 2006-05-02 18:22:17 EDT
Note, maybe there should be "index(req, pkg=None, rel=None)" -- it means some
defaults. I didn't test it with real web server.
Comment 3 Luke Macken 2006-08-21 14:57:09 EDT
Patch applied (and pkg,rel defaults set to None).  I hope to have a much more
robust update creation mechanism in place for the new version of the update system.


Note You need to log in before you can comment on or make changes to this bug.